jQuery(document).ready(function($){

    $(document).on('click', '#honey-shop-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'honey_shop_dismiss_notice'
            }
        });

    });

});